<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Ejemplo_2</title>
</head>
<body>
    <h1>Ejemplo 2</h1>

    <script>
        
        const printPairs = (array) => {

            for (var i = 0; i < array.length; i++) {
                for (var j = 0; j < array.length; j++) {
                    console.log(array[i] + "," + array[j]);
                }
            }
        }

        let print = [1,2,3,4,5,6,7];
        printPairs(print);

    </script>
    
</body>
</html>